VERSION 5.00
Begin VB.Form ServerForm 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Server"
   ClientHeight    =   3165
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2310
   Icon            =   "ServerForm.frx":0000
   LinkMode        =   1  'Quelle
   LinkTopic       =   "Talk"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3165
   ScaleWidth      =   2310
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox ServerText 
      Height          =   2775
      Left            =   -15
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "ServerForm.frx":000C
      Top             =   60
      Width           =   2295
   End
   Begin VB.Timer Timer1 
      Interval        =   200
      Left            =   1875
      Top             =   2730
   End
   Begin VB.Label ZeitLabel 
      Alignment       =   2  'Zentriert
      BorderStyle     =   1  'Fest Einfach
      Caption         =   "Label1"
      Height          =   285
      Left            =   0
      TabIndex        =   0
      Top             =   2880
      Width           =   2295
   End
End
Attribute VB_Name = "ServerForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Source von Markus Zeichner
'
' DDE -Server:
' Hier sind folgende Fenstereigenschaften interesant:
' - LinkMode (mu fr den Server auf 1-Quelle stehen)
' - LinkTopic (DDE-Thema)
'
' Auf dem Serverformular knnen mehrere Steuerelemente
' (Textbox/Label/PictureBox) vorhanden sein auf dessen Inhalt der Client
' zugreifen kann.
' Auf der Serverseite werden auserdem folgender Events ausgelst:
' - Form_LinkOpen (wird nach dem ffnen der DDE-Verbindung aktiviert.Dieser
'   Event kann auch mehrmals auftreten)
' - Form_LinkExecute (wird ausgelst wenn der Client ein Makrobefehl an den
'   Server sendet)
' - Form_LinkClose (wird nach dem schliessen der DDE-Verbindung ausgelst)
' - Form_LinkError (tritt auf wenn ein Fehler im Zusammenhang mit der
'   DDE-Verbindung auftritt)
Option Explicit

Private Sub Form_LinkClose()    ' eine Verbindung wurde geschlossen

    ServerText.Text = "Eine DDE-Verbindung beendet" & vbNewLine & _
        ServerText.Text
        
End Sub

Private Sub Form_LinkError(LinkErr As Integer)  ' Verbindungsfehler

    ServerText.Text = "DDE-Error" & vbNewLine & ServerText.Text
    
End Sub

' Makro empfangen
Private Sub Form_LinkExecute(CmdStr As String, Cancel As Integer)
    Select Case CmdStr  ' Makrotext auswhrten
    
    Case "ServerInfo"
        InfoBox.Show    ' Fenster ffnen aber nicht Modal sonst Problemme
        
    Case "Problem"
        Cancel = True
        
        MsgBox "Eine MsgBox oder eine Modale Form" & vbNewLine & _
            "bereiten Problemme wenn sie nicht in der LinkTimeout-Zeit" & _
            vbNewLine & "geschlossen werden !!!" & vbNewLine & "Warten " & _
            "Sie bitte ein Moment...", vbCritical, "Server-Problemm"
            
    Case "DelText"
        ServerText.Text = ""
        
    Case "SetText"
        ServerText.Text = "Nicht alles gleich ausprobieren!"
        
    Case "HideServer"
        ServerForm.Hide
        
    Case "ShowServer"
        ServerForm.Show
        
    Case "EndServer"
        Cancel = True
        Unload Me
        
    End Select
    
    Cancel = False  ' Makroempfang dem Client 'senden'
    
End Sub

Private Sub Form_LinkOpen(Cancel As Integer)    ' Verbindung wirde geffnet

    ServerText.Text = "Neue DDE-Verbindung" & vbNewLine & ServerText.Text
    
End Sub

Private Sub Form_Load()

    Call Timer1_Timer
    
End Sub

Private Sub Form_Unload(Cancel As Integer)

    Timer1.Enabled = False
    
End

End Sub

Private Sub Timer1_Timer()  ' nur zur Demonstration

    ZeitLabel.Caption = Now
    
End Sub

